Bug 1299345 - [abrt] qemu-img: get_block_status(): qemu-img killed by SIGABRT
[abrt] qemu-img: get_block_status(): qemu-img killed by SIGABRT
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Unspecified
high Severity high
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
: ZStream
: 1327592 (view as bug list)
Depends On: 1298886
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 02:47 EST by Jan Kurik
Modified: 2016-05-31 15:24 EDT (History)
17 users (show)

See Also:
Fixed In Version: qemu-kvm-rhev-2.3.0-31.el7_2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1298886
Environment:
Last Closed: 2016-01-28 11:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-01-18 02:47:41 EST
This bug has been copied from bug #1298886 and has been proposed
to be backported to 7.2 z-stream (EUS).
Comment 3 Miroslav Rezanina 2016-01-18 05:21:06 EST
Fix included in qemu-kvm-rhev-2.3.0-31.el7_2.6
Comment 5 FuXiangChun 2016-01-22 02:51:23 EST
Reproduced this bug with qemu-img-rhev-2.3.0-31.el7.x86_64 & qemu-kvm-rhev-2.3.0-31.el7.x86_64


# truncate -s 1G test_sparse
#  truncate -s 1G test_sparse
# echo "a" >> test_sparse
# qemu-img map test_sparse
Offset          Length          Mapped to       File
qemu-img: qemu-img.c:2294: get_block_status: Assertion `nb_sectors' failed.
Aborted (core dumped)


verified the bug with qemu-img-rhev-2.3.0-31.el7_2.7.x86_64 & qemu-kvm-rhev-2.3.0-31.el7_2.7.x86_64

# truncate -s 1G test_sparse
# echo "a" >> test_sparse
# qemu-img map test_sparse
Offset          Length          Mapped to       File
0x40000000      0x200           0x40000000      test_sparse

according to this result.  The bug is fixed.
Comment 9 errata-xmlrpc 2016-01-28 11:03:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0084.html
Comment 10 Ademar Reis 2016-05-31 15:24:23 EDT
*** Bug 1327592 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.